/* Problem URL: https://codeforces.com/contest/2153/problem/D */

#include <bits/stdc++.h>
#include <ext/pb_ds/assoc_container.hpp>
#include <ext/pb_ds/tree_policy.hpp>

using namespace std;
using namespace __gnu_pbds;

template <class T, class comp = less<>>
using ordered_set = tree<T, null_type , comp , rb_tree_tag , tree_order_statistics_node_update>;

#define V vector

#define rmin(a, b) a = min(a, b)
#define rmax(a, b) a = max(a, b)

#define rep(i, lim) for (int i = 0; i < (lim); i++)
#define nrep(i, s, lim) for (int i = s; i < (lim); i++)

#define repv(i, v) for (auto &i : (v))
#define fillv(v) for (auto &itr_ : (v)) { cin >> itr_; }
#define sortv(v) sort(v.begin(), v.end())
#define all(v) (v).begin(), (v).end()

using vi = vector<int>;
using vvi = vector<vi>;
using vvvi = vector<vvi>;
using vvvvi = vector<vvvi>;

using ll = long long;

using vl = vector<ll>;
using vvl = vector<vl>;
using vvvl = vector<vvl>;
using vvvvl = vector<vvvl>;

template<class v>
auto operator<<(ostream &os, const vector<v> &vec)->ostream& {
    os << vec[0];
    for (size_t i = 1; i < vec.size(); i++) {
        os << ' ' << vec[i];
    }
    os << '\n';
    return os;
}

template<class v>
auto operator>>(istream &is, vector<v> &vec)->istream& {
    for (auto &i : vec) {
        is >> i;
    }
    return is;
}

template<class v>
auto operator<<(ostream &os, const vector<vector<v>> &vec)->ostream& {
    for (auto &i : vec) {
        os << i[0];
        for (size_t j = 1; j < i.size(); j++) {
            os << ' ' << i[j];
        }
        os << '\n';
    }
    return os;
}

template<class v>
auto operator>>(istream  &is, vector<vector<v>> &vec)->istream& {
    for (auto &i : vec) {
        for (auto &j : i) {
            is >> j;
        }
    }
    return is;
}

int main()
{
    ios::sync_with_stdio(false);
    cin.tie(nullptr);

    int t;
    cin >> t;
    while (t--) {
        int n;
        cin >> n;
        vl fds(n);
        cin >> fds;

        vl memo(n, -1);
        ll oo = INT64_MAX >> 6;

        function<ll(int)> dp = [&](int i) {
            if (i < 0) {
                return 0LL;
            }

            if (i == 0) {
                return oo;
            }

            ll &ans = memo[i];
            if (ans != -1) {
                return ans;
            }

            ans = abs(fds[i] - fds[i - 1]) + dp(i - 2);
            if (i == 1) {
                return ans;
            }

            rmin(ans, min({ans, abs(fds[i] - fds[i - 1]) + abs(fds[i - 1] - fds[i - 2]),
                            abs(fds[i] - fds[i - 2]) + abs(fds[i - 1] - fds[i - 2]),
                            abs(fds[i] - fds[i - 1]) + abs(fds[i] - fds[i - 2])
                      }) + dp(i - 3));

            return ans;
        };

        ll ans = dp(n - 1);

        fill(all(memo), -1);

        ll tmp = fds.back();
        fds.pop_back();
        fds.insert(fds.begin(), tmp);

        rmin(ans, dp(n - 1));

        fill(all(memo), -1);

        tmp = fds.back();
        fds.pop_back();
        fds.insert(fds.begin(), tmp);

        rmin(ans, dp(n - 1));

        fill(all(memo), -1);

        tmp = fds.back();
        fds.pop_back();
        fds.insert(fds.begin(), tmp);

        rmin(ans, dp(n - 1));

        cout << ans << '\n';
    }
}
